%global srcname pyspf

Name:           python-%{srcname}
Version:        2.0.14
Release:    1%{?dist}
Summary:        Python module and programs for SPF (Sender Policy Framework)

License:        Python
URL:            http://pypi.python.org/pypi/pyspf
Source0:        https://files.pythonhosted.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz
Patch0:         pyspf-2.0.14-newlines.patch

BuildArch:      noarch

%description
SPF does email sender validation.  For more information about SPF,
please see http://spf.pobox.com.

This SPF client is intended to be installed on the border MTA, checking
if incoming SMTP clients are permitted to forward mail.  The SPF check
should be done during the MAIL FROM:<...> command.

%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel

Requires:       python3-py3dns
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
SPF does email sender validation.  For more information about SPF,
please see http://spf.pobox.com.

This SPF client is intended to be installed on the border MTA, checking
if incoming SMTP clients are permitted to forward mail.  The SPF check
should be done during the MAIL FROM:<...> command.

This package provides Python 3 build of %{srcname}.

%prep
%setup -qn %{srcname}-%{version}
%patch0 -p1 -b .newlines

%build
%py3_build

%check

%install
%py3_install
mv %{buildroot}%{_bindir}/type99.py %{buildroot}%{_bindir}/type99
mv %{buildroot}%{_bindir}/spfquery.py %{buildroot}%{_bindir}/spfquery
rm -f %{buildroot}%{_bindir}/*.py{o,c}
sed -i -e '/^#!\//, 1d' %{buildroot}%{python3_sitelib}/*.py

%files -n python3-%{srcname}
%doc CHANGELOG PKG-INFO README.md
%{python3_sitelib}/__pycache__
%{_bindir}/type99
%{_bindir}/spfquery
%{python3_sitelib}/spf.py*
%{python3_sitelib}/pyspf-%{version}-py*.egg-info

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.14-1
- initial build
